%bcond_with jack
%bcond_with portaudio

%global _description %{expand:
Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3 (most commonly MPEG 1.0 layer 3 aka MP3), \
as well as re-usable decoding and output libraries.}

Summary: Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3
Name:    mpg123
Version: 1.32.9
Release: 1%{?dist}
License: LGPLv2+
URL:     https://mpg123.org
Source0: %{url}/download/%{name}-%{version}.tar.bz2

BuildRequires: autoconf automake gcc libtool make pkgconfig(alsa)

Requires: %{name}-libs = %{version}-%{release}

%description %{_description}

%package plugins-pulseaudio
Summary: Pulseaudio output plug-in for %{name}

BuildRequires: pkgconfig(libpulse-simple)
Requires: %{name} = %{version}-%{release}
Supplements: (mpg123 and pulseaudio)

%description plugins-pulseaudio %{_description}

Pulseaudio output plug-in.

%if %{with jack}
%package plugins-jack
Summary: JACK output plug-in for %{name}

BuildRequires: pkgconfig(jack)
Requires: %{name} = %{version}-%{release}
Supplements: (mpg123 and jack-audio-connection-kit)

%description plugins-jack %{_description}

JACK output plug-in.
%endif

%if %{with portaudio}
%package plugins-portaudio
Summary: PortAudio output plug-in for %{name}
BuildRequires: pkgconfig(portaudio-2.0)
Requires: %{name} = %{version}-%{release}
Supplements: (mpg123 and portaudio)

%description plugins-portaudio %{_description}

PortAudio output plug-in.
%endif

%package libs
Summary: Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3
Provides: lib%{name} = %{version}-%{release}

%description libs %{_description}

%package devel
Summary: Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3
BuildRequires: /usr/bin/doxygen
Requires: %{name}-libs = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}

%description devel %{_description}

Development files for decoding and output libraries.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vfi
%configure \
    --enable-modules=yes \
    --with-default-audio=alsa \
    --with-audio=alsa,pulse,oss
%make_build
pushd doc
  doxygen doxygen.conf
popd

%install
%make_install
rm %{buildroot}%{_libdir}/*.la

%files
%doc doc/README.remote
%{_bindir}/%{name}
%{_bindir}/%{name}-id3dump
%{_bindir}/%{name}-strip
%{_bindir}/out123
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/output_alsa.*
%{_libdir}/%{name}/output_dummy.*
%{_libdir}/%{name}/output_oss.*
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/out123.1*

%files plugins-pulseaudio
%{_libdir}/%{name}/output_pulse.*

%if %{with jack}
%files plugins-jack
%{_libdir}/%{name}/output_jack.*
%endif

%if %{with portaudio}
%files plugins-portaudio
%{_libdir}/%{name}/output_portaudio.*
%endif

%files libs
%license COPYING
%doc NEWS
%{_libdir}/lib%{name}.so.0*
%{_libdir}/libout123.so.0*
%{_libdir}/libsyn123.so.0*

%files devel
%doc NEWS.lib%{name} doc/examples doc/BENCHMARKING doc/README.gain
%{_includedir}/%{name}.h
%{_includedir}/out123.h
%{_includedir}/fmt123.h
%{_includedir}/syn123.h
%{_libdir}/lib%{name}.so
%{_libdir}/libout123.so
%{_libdir}/libsyn123.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/libout123.pc
%{_libdir}/pkgconfig/libsyn123.pc

%changelog
* Mon Nov 04 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.32.9-1
- Upgrade to version 1.32.9
- fix CVE-2024-10573

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31.3-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31.3-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 kianli <kianli@tencent.com> - 1.31.3-1
- Upgrade to 1.31.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 1.31.1-1
- initial build
